<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <ItemGroup Label="ProjectConfigurations">
    <ProjectConfiguration Include="Debug|Win32">
      <Configuration>Debug</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|Win32">
      <Configuration>Release</Configuration>
      <Platform>Win32</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Debug|x64">
      <Configuration>Debug</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
    <ProjectConfiguration Include="Release|x64">
      <Configuration>Release</Configuration>
      <Platform>x64</Platform>
    </ProjectConfiguration>
  </ItemGroup>
  <PropertyGroup Label="Globals">
    <VCProjectVersion>16.0</VCProjectVersion>
    <Keyword>Win32Proj</Keyword>
    <ProjectGuid>{4e0dfbee-9922-422a-a572-98697ad8ef0e}</ProjectGuid>
    <RootNamespace>OpenGL</RootNamespace>
    <WindowsTargetPlatformVersion>10.0</WindowsTargetPlatformVersion>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.Default.props" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>v142</PlatformToolset>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>v142</PlatformToolset>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>true</UseDebugLibraries>
    <PlatformToolset>v142</PlatformToolset>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'" Label="Configuration">
    <ConfigurationType>Application</ConfigurationType>
    <UseDebugLibraries>false</UseDebugLibraries>
    <PlatformToolset>v142</PlatformToolset>
    <WholeProgramOptimization>true</WholeProgramOptimization>
    <CharacterSet>Unicode</CharacterSet>
  </PropertyGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
  <ImportGroup Label="ExtensionSettings">
  </ImportGroup>
  <ImportGroup Label="Shared">
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <ImportGroup Label="PropertySheets" Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <Import Project="$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props" Condition="exists('$(UserRootDir)\Microsoft.Cpp.$(Platform).user.props')" Label="LocalAppDataPlatform" />
  </ImportGroup>
  <PropertyGroup Label="UserMacros" />
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <LinkIncremental>true</LinkIncremental>
    <OutDir>$(SolutionDir)bin\$(Platform)\$(Configuration)\$(ProjectName)</OutDir>
    <IntDir>$(SolutionDir)bin\Intermediate\$(Platform)\$(Configuration)\$(ProjectName)</IntDir>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <LinkIncremental>false</LinkIncremental>
    <OutDir>$(SolutionDir)bin\$(Platform)\$(Configuration)\$(ProjectName)</OutDir>
    <IntDir>$(SolutionDir)bin\Intermediate\$(Platform)\$(Configuration)\$(ProjectName)</IntDir>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <LinkIncremental>true</LinkIncremental>
    <OutDir>$(SolutionDir)bin\$(Platform)\$(Configuration)\$(ProjectName)</OutDir>
    <IntDir>$(SolutionDir)bin\Intermediate\$(Platform)\$(Configuration)\$(ProjectName)</IntDir>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <LinkIncremental>false</LinkIncremental>
    <OutDir>$(SolutionDir)bin\$(Platform)\$(Configuration)\$(ProjectName)</OutDir>
    <IntDir>$(SolutionDir)bin\Intermediate\$(Platform)\$(Configuration)\$(ProjectName)</IntDir>
  </PropertyGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <SDLCheck>true</SDLCheck>
      <PreprocessorDefinitions>GLEW_STATIC;WIN32;_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <ConformanceMode>true</ConformanceMode>
      <LanguageStandard>stdcpp17</LanguageStandard>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <PrecompiledHeaderFile>
      </PrecompiledHeaderFile>
      <AdditionalIncludeDirectories>$(ProjectDir)src;$(ProjectDir)src\vendor;$(SolutionDir)Dependencies\GLFW\include;$(SolutionDir)Dependencies\GLEW\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
    </ClCompile>
    <Link>
      <SubSystem>Console</SubSystem>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <AdditionalLibraryDirectories>$(SolutionDir)Dependencies\GLFW\lib-vc2019;$(SolutionDir)Dependencies\GLEW\lib\Release\$(Platform)</AdditionalLibraryDirectories>
      <AdditionalDependencies>glew32s.lib;glfw3.lib;opengl32.lib;User32.lib;Gdi32.lib;Shell32.lib</AdditionalDependencies>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|Win32'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <SDLCheck>true</SDLCheck>
      <PreprocessorDefinitions>GLEW_STATIC;WIN32;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <ConformanceMode>true</ConformanceMode>
      <LanguageStandard>stdcpp17</LanguageStandard>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <PrecompiledHeaderFile>
      </PrecompiledHeaderFile>
      <AdditionalIncludeDirectories>$(ProjectDir)src;$(ProjectDir)src\vendor;$(SolutionDir)Dependencies\GLFW\include;$(SolutionDir)Dependencies\GLEW\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
    </ClCompile>
    <Link>
      <SubSystem>Console</SubSystem>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <AdditionalLibraryDirectories>$(SolutionDir)Dependencies\GLFW\lib-vc2019;$(SolutionDir)Dependencies\GLEW\lib\Release\$(Platform)</AdditionalLibraryDirectories>
      <AdditionalDependencies>glew32s.lib;glfw3.lib;opengl32.lib;User32.lib;Gdi32.lib;Shell32.lib</AdditionalDependencies>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Debug|x64'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <SDLCheck>true</SDLCheck>
      <PreprocessorDefinitions>GLEW_STATIC;_DEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <ConformanceMode>true</ConformanceMode>
      <LanguageStandard>stdcpp17</LanguageStandard>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <PrecompiledHeaderFile>
      </PrecompiledHeaderFile>
      <AdditionalIncludeDirectories>$(ProjectDir)src;$(ProjectDir)src\vendor;$(SolutionDir)Dependencies\GLFW\include;$(SolutionDir)Dependencies\GLEW\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
    </ClCompile>
    <Link>
      <SubSystem>Console</SubSystem>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <AdditionalLibraryDirectories>$(SolutionDir)Dependencies\GLFW\lib-vc2019;$(SolutionDir)Dependencies\GLEW\lib\Release\$(Platform)</AdditionalLibraryDirectories>
      <AdditionalDependencies>glew32s.lib;glfw3.lib;opengl32.lib;User32.lib;Gdi32.lib;Shell32.lib</AdditionalDependencies>
    </Link>
  </ItemDefinitionGroup>
  <ItemDefinitionGroup Condition="'$(Configuration)|$(Platform)'=='Release|x64'">
    <ClCompile>
      <WarningLevel>Level3</WarningLevel>
      <FunctionLevelLinking>true</FunctionLevelLinking>
      <IntrinsicFunctions>true</IntrinsicFunctions>
      <SDLCheck>true</SDLCheck>
      <PreprocessorDefinitions>GLEW_STATIC;NDEBUG;_CONSOLE;%(PreprocessorDefinitions)</PreprocessorDefinitions>
      <ConformanceMode>true</ConformanceMode>
      <LanguageStandard>stdcpp17</LanguageStandard>
      <PrecompiledHeader>NotUsing</PrecompiledHeader>
      <PrecompiledHeaderFile>
      </PrecompiledHeaderFile>
      <AdditionalIncludeDirectories>$(ProjectDir)src;$(ProjectDir)src\vendor;$(SolutionDir)Dependencies\GLFW\include;$(SolutionDir)Dependencies\GLEW\include;%(AdditionalIncludeDirectories)</AdditionalIncludeDirectories>
    </ClCompile>
    <Link>
      <SubSystem>Console</SubSystem>
      <EnableCOMDATFolding>true</EnableCOMDATFolding>
      <OptimizeReferences>true</OptimizeReferences>
      <GenerateDebugInformation>true</GenerateDebugInformation>
      <AdditionalLibraryDirectories>$(SolutionDir)Dependencies\GLFW\lib-vc2019;$(SolutionDir)Dependencies\GLEW\lib\Release\$(Platform)</AdditionalLibraryDirectories>
      <AdditionalDependencies>glew32s.lib;glfw3.lib;opengl32.lib;User32.lib;Gdi32.lib;Shell32.lib</AdditionalDependencies>
    </Link>
  </ItemDefinitionGroup>
  <ItemGroup>
    <ClCompile Include="src\Shader.cpp" />
    <ClCompile Include="src\LayoutBuffer.cpp" />
    <ClCompile Include="src\IndexBuffer.cpp" />
    <ClCompile Include="src\Renderer.cpp" />
    <ClCompile Include="src\Application.cpp" />
    <ClCompile Include="src\Tests\TestClearColor.cpp" />
    <ClCompile Include="src\Tests\TestMultiModels.cpp" />
    <ClCompile Include="src\vendor\glm\detail\glm.cpp" />
    <ClCompile Include="src\vendor\imgui\imgui.cpp" />
    <ClCompile Include="src\vendor\imgui\imgui_demo.cpp" />
    <ClCompile Include="src\vendor\imgui\imgui_draw.cpp" />
    <ClCompile Include="src\vendor\imgui\imgui_impl_glfw_gl3.cpp" />
    <ClCompile Include="src\vendor\stb\stb_img.cpp" />
    <ClCompile Include="src\VertexBuffer.cpp" />
    <ClCompile Include="src\VertexArray.cpp" />
    <ClCompile Include="src\VertexLayoutBuffer.cpp" />
    <ClCompile Include="src\Texture.cpp" />
  </ItemGroup>
  <ItemGroup>
    <ClInclude Include="src\Core.h" />
    <ClInclude Include="src\Shader.h" />
    <ClInclude Include="src\LayoutBuffer.h" />
    <ClInclude Include="src\IndexBuffer.h" />
    <ClInclude Include="src\Renderer.h" />
    <ClInclude Include="src\TestsMenu.h" />
    <ClInclude Include="src\Tests\TestClearColor.h" />
    <ClInclude Include="src\Tests\Test.h" />
    <ClInclude Include="src\Tests\TestMultiModels.h" />
    <ClInclude Include="src\vendor\glm\common.hpp" />
    <ClInclude Include="src\vendor\glm\detail\compute_common.hpp" />
    <ClInclude Include="src\vendor\glm\detail\compute_vector_relational.hpp" />
    <ClInclude Include="src\vendor\glm\detail\qualifier.hpp" />
    <ClInclude Include="src\vendor\glm\detail\setup.hpp" />
    <ClInclude Include="src\vendor\glm\detail\type_float.hpp" />
    <ClInclude Include="src\vendor\glm\detail\type_half.hpp" />
    <ClInclude Include="src\vendor\glm\detail\type_mat2x2.hpp" />
    <ClInclude Include="src\vendor\glm\detail\type_mat2x3.hpp" />
    <ClInclude Include="src\vendor\glm\detail\type_mat2x4.hpp" />
    <ClInclude Include="src\vendor\glm\detail\type_mat3x2.hpp" />
    <ClInclude Include="src\vendor\glm\detail\type_mat3x3.hpp" />
    <ClInclude Include="src\vendor\glm\detail\type_mat3x4.hpp" />
    <ClInclude Include="src\vendor\glm\detail\type_mat4x2.hpp" />
    <ClInclude Include="src\vendor\glm\detail\type_mat4x3.hpp" />
    <ClInclude Include="src\vendor\glm\detail\type_mat4x4.hpp" />
    <ClInclude Include="src\vendor\glm\detail\type_quat.hpp" />
    <ClInclude Include="src\vendor\glm\detail\type_vec1.hpp" />
    <ClInclude Include="src\vendor\glm\detail\type_vec2.hpp" />
    <ClInclude Include="src\vendor\glm\detail\type_vec3.hpp" />
    <ClInclude Include="src\vendor\glm\detail\type_vec4.hpp" />
    <ClInclude Include="src\vendor\glm\detail\_features.hpp" />
    <ClInclude Include="src\vendor\glm\detail\_fixes.hpp" />
    <ClInclude Include="src\vendor\glm\detail\_noise.hpp" />
    <ClInclude Include="src\vendor\glm\detail\_swizzle.hpp" />
    <ClInclude Include="src\vendor\glm\detail\_swizzle_func.hpp" />
    <ClInclude Include="src\vendor\glm\detail\_vectorize.hpp" />
    <ClInclude Include="src\vendor\glm\exponential.hpp" />
    <ClInclude Include="src\vendor\glm\ext.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_clip_space.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_common.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_double2x2.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_double2x2_precision.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_double2x3.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_double2x3_precision.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_double2x4.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_double2x4_precision.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_double3x2.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_double3x2_precision.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_double3x3.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_double3x3_precision.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_double3x4.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_double3x4_precision.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_double4x2.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_double4x2_precision.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_double4x3.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_double4x3_precision.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_double4x4.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_double4x4_precision.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_float2x2.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_float2x2_precision.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_float2x3.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_float2x3_precision.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_float2x4.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_float2x4_precision.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_float3x2.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_float3x2_precision.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_float3x3.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_float3x3_precision.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_float3x4.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_float3x4_precision.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_float4x2.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_float4x2_precision.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_float4x3.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_float4x3_precision.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_float4x4.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_float4x4_precision.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_int2x2.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_int2x2_sized.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_int2x3.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_int2x3_sized.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_int2x4.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_int2x4_sized.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_int3x2.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_int3x2_sized.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_int3x3.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_int3x3_sized.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_int3x4.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_int3x4_sized.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_int4x2.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_int4x2_sized.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_int4x3.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_int4x3_sized.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_int4x4.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_int4x4_sized.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_projection.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_relational.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_transform.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_uint2x2.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_uint2x2_sized.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_uint2x3.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_uint2x3_sized.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_uint2x4.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_uint2x4_sized.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_uint3x2.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_uint3x2_sized.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_uint3x3.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_uint3x3_sized.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_uint3x4.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_uint3x4_sized.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_uint4x2.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_uint4x2_sized.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_uint4x3.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_uint4x3_sized.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_uint4x4.hpp" />
    <ClInclude Include="src\vendor\glm\ext\matrix_uint4x4_sized.hpp" />
    <ClInclude Include="src\vendor\glm\ext\quaternion_common.hpp" />
    <ClInclude Include="src\vendor\glm\ext\quaternion_double.hpp" />
    <ClInclude Include="src\vendor\glm\ext\quaternion_double_precision.hpp" />
    <ClInclude Include="src\vendor\glm\ext\quaternion_exponential.hpp" />
    <ClInclude Include="src\vendor\glm\ext\quaternion_float.hpp" />
    <ClInclude Include="src\vendor\glm\ext\quaternion_float_precision.hpp" />
    <ClInclude Include="src\vendor\glm\ext\quaternion_geometric.hpp" />
    <ClInclude Include="src\vendor\glm\ext\quaternion_relational.hpp" />
    <ClInclude Include="src\vendor\glm\ext\quaternion_transform.hpp" />
    <ClInclude Include="src\vendor\glm\ext\quaternion_trigonometric.hpp" />
    <ClInclude Include="src\vendor\glm\ext\scalar_common.hpp" />
    <ClInclude Include="src\vendor\glm\ext\scalar_constants.hpp" />
    <ClInclude Include="src\vendor\glm\ext\scalar_integer.hpp" />
    <ClInclude Include="src\vendor\glm\ext\scalar_int_sized.hpp" />
    <ClInclude Include="src\vendor\glm\ext\scalar_packing.hpp" />
    <ClInclude Include="src\vendor\glm\ext\scalar_relational.hpp" />
    <ClInclude Include="src\vendor\glm\ext\scalar_uint_sized.hpp" />
    <ClInclude Include="src\vendor\glm\ext\scalar_ulp.hpp" />
    <ClInclude Include="src\vendor\glm\ext\vector_bool1.hpp" />
    <ClInclude Include="src\vendor\glm\ext\vector_bool1_precision.hpp" />
    <ClInclude Include="src\vendor\glm\ext\vector_bool2.hpp" />
    <ClInclude Include="src\vendor\glm\ext\vector_bool2_precision.hpp" />
    <ClInclude Include="src\vendor\glm\ext\vector_bool3.hpp" />
    <ClInclude Include="src\vendor\glm\ext\vector_bool3_precision.hpp" />
    <ClInclude Include="src\vendor\glm\ext\vector_bool4.hpp" />
    <ClInclude Include="src\vendor\glm\ext\vector_bool4_precision.hpp" />
    <ClInclude Include="src\vendor\glm\ext\vector_common.hpp" />
    <ClInclude Include="src\vendor\glm\ext\vector_double1.hpp" />
    <ClInclude Include="src\vendor\glm\ext\vector_double1_precision.hpp" />
    <ClInclude Include="src\vendor\glm\ext\vector_double2.hpp" />
    <ClInclude Include="src\vendor\glm\ext\vector_double2_precision.hpp" />
    <ClInclude Include="src\vendor\glm\ext\vector_double3.hpp" />
    <ClInclude Include="src\vendor\glm\ext\vector_double3_precision.hpp" />
    <ClInclude Include="src\vendor\glm\ext\vector_double4.hpp" />
    <ClInclude Include="src\vendor\glm\ext\vector_double4_precision.hpp" />
    <ClInclude Include="src\vendor\glm\ext\vector_float1.hpp" />
    <ClInclude Include="src\vendor\glm\ext\vector_float1_precision.hpp" />
    <ClInclude Include="src\vendor\glm\ext\vector_float2.hpp" />
    <ClInclude Include="src\vendor\glm\ext\vector_float2_precision.hpp" />
    <ClInclude Include="src\vendor\glm\ext\vector_float3.hpp" />
    <ClInclude Include="src\vendor\glm\ext\vector_float3_precision.hpp" />
    <ClInclude Include="src\vendor\glm\ext\vector_float4.hpp" />
    <ClInclude Include="src\vendor\glm\ext\vector_float4_precision.hpp" />
    <ClInclude Include="src\vendor\glm\ext\vector_int1.hpp" />
    <ClInclude Include="src\vendor\glm\ext\vector_int1_sized.hpp" />
    <ClInclude Include="src\vendor\glm\ext\vector_int2.hpp" />
    <ClInclude Include="src\vendor\glm\ext\vector_int2_sized.hpp" />
    <ClInclude Include="src\vendor\glm\ext\vector_int3.hpp" />
    <ClInclude Include="src\vendor\glm\ext\vector_int3_sized.hpp" />
    <ClInclude Include="src\vendor\glm\ext\vector_int4.hpp" />
    <ClInclude Include="src\vendor\glm\ext\vector_int4_sized.hpp" />
    <ClInclude Include="src\vendor\glm\ext\vector_integer.hpp" />
    <ClInclude Include="src\vendor\glm\ext\vector_packing.hpp" />
    <ClInclude Include="src\vendor\glm\ext\vector_relational.hpp" />
    <ClInclude Include="src\vendor\glm\ext\vector_uint1.hpp" />
    <ClInclude Include="src\vendor\glm\ext\vector_uint1_sized.hpp" />
    <ClInclude Include="src\vendor\glm\ext\vector_uint2.hpp" />
    <ClInclude Include="src\vendor\glm\ext\vector_uint2_sized.hpp" />
    <ClInclude Include="src\vendor\glm\ext\vector_uint3.hpp" />
    <ClInclude Include="src\vendor\glm\ext\vector_uint3_sized.hpp" />
    <ClInclude Include="src\vendor\glm\ext\vector_uint4.hpp" />
    <ClInclude Include="src\vendor\glm\ext\vector_uint4_sized.hpp" />
    <ClInclude Include="src\vendor\glm\ext\vector_ulp.hpp" />
    <ClInclude Include="src\vendor\glm\fwd.hpp" />
    <ClInclude Include="src\vendor\glm\geometric.hpp" />
    <ClInclude Include="src\vendor\glm\glm.hpp" />
    <ClInclude Include="src\vendor\glm\gtc\bitfield.hpp" />
    <ClInclude Include="src\vendor\glm\gtc\color_space.hpp" />
    <ClInclude Include="src\vendor\glm\gtc\constants.hpp" />
    <ClInclude Include="src\vendor\glm\gtc\epsilon.hpp" />
    <ClInclude Include="src\vendor\glm\gtc\integer.hpp" />
    <ClInclude Include="src\vendor\glm\gtc\matrix_access.hpp" />
    <ClInclude Include="src\vendor\glm\gtc\matrix_integer.hpp" />
    <ClInclude Include="src\vendor\glm\gtc\matrix_inverse.hpp" />
    <ClInclude Include="src\vendor\glm\gtc\matrix_transform.hpp" />
    <ClInclude Include="src\vendor\glm\gtc\noise.hpp" />
    <ClInclude Include="src\vendor\glm\gtc\packing.hpp" />
    <ClInclude Include="src\vendor\glm\gtc\quaternion.hpp" />
    <ClInclude Include="src\vendor\glm\gtc\random.hpp" />
    <ClInclude Include="src\vendor\glm\gtc\reciprocal.hpp" />
    <ClInclude Include="src\vendor\glm\gtc\round.hpp" />
    <ClInclude Include="src\vendor\glm\gtc\type_aligned.hpp" />
    <ClInclude Include="src\vendor\glm\gtc\type_precision.hpp" />
    <ClInclude Include="src\vendor\glm\gtc\type_ptr.hpp" />
    <ClInclude Include="src\vendor\glm\gtc\ulp.hpp" />
    <ClInclude Include="src\vendor\glm\gtc\vec1.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\associated_min_max.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\bit.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\closest_point.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\color_encoding.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\color_space.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\color_space_YCoCg.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\common.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\compatibility.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\component_wise.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\dual_quaternion.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\easing.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\euler_angles.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\extend.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\extended_min_max.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\exterior_product.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\fast_exponential.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\fast_square_root.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\fast_trigonometry.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\functions.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\gradient_paint.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\handed_coordinate_space.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\hash.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\integer.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\intersect.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\io.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\log_base.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\matrix_cross_product.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\matrix_decompose.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\matrix_factorisation.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\matrix_interpolation.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\matrix_major_storage.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\matrix_operation.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\matrix_query.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\matrix_transform_2d.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\mixed_product.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\norm.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\normal.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\normalize_dot.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\number_precision.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\optimum_pow.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\orthonormalize.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\perpendicular.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\polar_coordinates.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\projection.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\quaternion.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\range.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\raw_data.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\rotate_normalized_axis.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\rotate_vector.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\scalar_multiplication.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\scalar_relational.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\spline.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\std_based_type.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\string_cast.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\texture.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\transform.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\transform2.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\type_aligned.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\type_trait.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\vector_angle.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\vector_query.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\vec_swizzle.hpp" />
    <ClInclude Include="src\vendor\glm\gtx\wrap.hpp" />
    <ClInclude Include="src\vendor\glm\integer.hpp" />
    <ClInclude Include="src\vendor\glm\mat2x2.hpp" />
    <ClInclude Include="src\vendor\glm\mat2x3.hpp" />
    <ClInclude Include="src\vendor\glm\mat2x4.hpp" />
    <ClInclude Include="src\vendor\glm\mat3x2.hpp" />
    <ClInclude Include="src\vendor\glm\mat3x3.hpp" />
    <ClInclude Include="src\vendor\glm\mat3x4.hpp" />
    <ClInclude Include="src\vendor\glm\mat4x2.hpp" />
    <ClInclude Include="src\vendor\glm\mat4x3.hpp" />
    <ClInclude Include="src\vendor\glm\mat4x4.hpp" />
    <ClInclude Include="src\vendor\glm\matrix.hpp" />
    <ClInclude Include="src\vendor\glm\packing.hpp" />
    <ClInclude Include="src\vendor\glm\simd\common.h" />
    <ClInclude Include="src\vendor\glm\simd\exponential.h" />
    <ClInclude Include="src\vendor\glm\simd\geometric.h" />
    <ClInclude Include="src\vendor\glm\simd\integer.h" />
    <ClInclude Include="src\vendor\glm\simd\matrix.h" />
    <ClInclude Include="src\vendor\glm\simd\neon.h" />
    <ClInclude Include="src\vendor\glm\simd\packing.h" />
    <ClInclude Include="src\vendor\glm\simd\platform.h" />
    <ClInclude Include="src\vendor\glm\simd\trigonometric.h" />
    <ClInclude Include="src\vendor\glm\simd\vector_relational.h" />
    <ClInclude Include="src\vendor\glm\trigonometric.hpp" />
    <ClInclude Include="src\vendor\glm\vec2.hpp" />
    <ClInclude Include="src\vendor\glm\vec3.hpp" />
    <ClInclude Include="src\vendor\glm\vec4.hpp" />
    <ClInclude Include="src\vendor\glm\vector_relational.hpp" />
    <ClInclude Include="src\vendor\imgui\imconfig.h" />
    <ClInclude Include="src\vendor\imgui\imgui.h" />
    <ClInclude Include="src\vendor\imgui\imgui_impl_glfw_gl3.h" />
    <ClInclude Include="src\vendor\imgui\imgui_internal.h" />
    <ClInclude Include="src\vendor\imgui\stb_rect_pack.h" />
    <ClInclude Include="src\vendor\imgui\stb_textedit.h" />
    <ClInclude Include="src\vendor\imgui\stb_truetype.h" />
    <ClInclude Include="src\vendor\stb\stb_image.h" />
    <ClInclude Include="src\VertexBuffer.h" />
    <ClInclude Include="src\VertexArray.h" />
    <ClInclude Include="src\VertexLayoutBuffer.h" />
    <ClInclude Include="src\Texture.h" />
  </ItemGroup>
  <ItemGroup>
    <Image Include="res\textures\2-swords-icon.png" />
    <Image Include="res\textures\2-swords.png" />
    <Image Include="res\textures\1-sword.png" />
    <Image Include="res\textures\sao-world.png" />
    <Image Include="res\textures\menu-icons.png" />
    <Image Include="res\textures\SAO.png" />
  </ItemGroup>
  <ItemGroup>
    <None Include="res\shaders\Basic.shader" />
    <None Include="src\vendor\glm\detail\func_common.inl" />
    <None Include="src\vendor\glm\detail\func_common_simd.inl" />
    <None Include="src\vendor\glm\detail\func_exponential.inl" />
    <None Include="src\vendor\glm\detail\func_exponential_simd.inl" />
    <None Include="src\vendor\glm\detail\func_geometric.inl" />
    <None Include="src\vendor\glm\detail\func_geometric_simd.inl" />
    <None Include="src\vendor\glm\detail\func_integer.inl" />
    <None Include="src\vendor\glm\detail\func_integer_simd.inl" />
    <None Include="src\vendor\glm\detail\func_matrix.inl" />
    <None Include="src\vendor\glm\detail\func_matrix_simd.inl" />
    <None Include="src\vendor\glm\detail\func_packing.inl" />
    <None Include="src\vendor\glm\detail\func_packing_simd.inl" />
    <None Include="src\vendor\glm\detail\func_trigonometric.inl" />
    <None Include="src\vendor\glm\detail\func_trigonometric_simd.inl" />
    <None Include="src\vendor\glm\detail\func_vector_relational.inl" />
    <None Include="src\vendor\glm\detail\func_vector_relational_simd.inl" />
    <None Include="src\vendor\glm\detail\type_half.inl" />
    <None Include="src\vendor\glm\detail\type_mat2x2.inl" />
    <None Include="src\vendor\glm\detail\type_mat2x3.inl" />
    <None Include="src\vendor\glm\detail\type_mat2x4.inl" />
    <None Include="src\vendor\glm\detail\type_mat3x2.inl" />
    <None Include="src\vendor\glm\detail\type_mat3x3.inl" />
    <None Include="src\vendor\glm\detail\type_mat3x4.inl" />
    <None Include="src\vendor\glm\detail\type_mat4x2.inl" />
    <None Include="src\vendor\glm\detail\type_mat4x3.inl" />
    <None Include="src\vendor\glm\detail\type_mat4x4.inl" />
    <None Include="src\vendor\glm\detail\type_mat4x4_simd.inl" />
    <None Include="src\vendor\glm\detail\type_quat.inl" />
    <None Include="src\vendor\glm\detail\type_quat_simd.inl" />
    <None Include="src\vendor\glm\detail\type_vec1.inl" />
    <None Include="src\vendor\glm\detail\type_vec2.inl" />
    <None Include="src\vendor\glm\detail\type_vec3.inl" />
    <None Include="src\vendor\glm\detail\type_vec4.inl" />
    <None Include="src\vendor\glm\detail\type_vec4_simd.inl" />
    <None Include="src\vendor\glm\ext\matrix_clip_space.inl" />
    <None Include="src\vendor\glm\ext\matrix_common.inl" />
    <None Include="src\vendor\glm\ext\matrix_projection.inl" />
    <None Include="src\vendor\glm\ext\matrix_relational.inl" />
    <None Include="src\vendor\glm\ext\matrix_transform.inl" />
    <None Include="src\vendor\glm\ext\quaternion_common.inl" />
    <None Include="src\vendor\glm\ext\quaternion_common_simd.inl" />
    <None Include="src\vendor\glm\ext\quaternion_exponential.inl" />
    <None Include="src\vendor\glm\ext\quaternion_geometric.inl" />
    <None Include="src\vendor\glm\ext\quaternion_relational.inl" />
    <None Include="src\vendor\glm\ext\quaternion_transform.inl" />
    <None Include="src\vendor\glm\ext\quaternion_trigonometric.inl" />
    <None Include="src\vendor\glm\ext\scalar_common.inl" />
    <None Include="src\vendor\glm\ext\scalar_constants.inl" />
    <None Include="src\vendor\glm\ext\scalar_integer.inl" />
    <None Include="src\vendor\glm\ext\scalar_packing.inl" />
    <None Include="src\vendor\glm\ext\scalar_relational.inl" />
    <None Include="src\vendor\glm\ext\scalar_ulp.inl" />
    <None Include="src\vendor\glm\ext\vector_common.inl" />
    <None Include="src\vendor\glm\ext\vector_integer.inl" />
    <None Include="src\vendor\glm\ext\vector_packing.inl" />
    <None Include="src\vendor\glm\ext\vector_relational.inl" />
    <None Include="src\vendor\glm\ext\vector_ulp.inl" />
    <None Include="src\vendor\glm\gtc\bitfield.inl" />
    <None Include="src\vendor\glm\gtc\color_space.inl" />
    <None Include="src\vendor\glm\gtc\constants.inl" />
    <None Include="src\vendor\glm\gtc\epsilon.inl" />
    <None Include="src\vendor\glm\gtc\integer.inl" />
    <None Include="src\vendor\glm\gtc\matrix_access.inl" />
    <None Include="src\vendor\glm\gtc\matrix_inverse.inl" />
    <None Include="src\vendor\glm\gtc\matrix_transform.inl" />
    <None Include="src\vendor\glm\gtc\noise.inl" />
    <None Include="src\vendor\glm\gtc\packing.inl" />
    <None Include="src\vendor\glm\gtc\quaternion.inl" />
    <None Include="src\vendor\glm\gtc\quaternion_simd.inl" />
    <None Include="src\vendor\glm\gtc\random.inl" />
    <None Include="src\vendor\glm\gtc\reciprocal.inl" />
    <None Include="src\vendor\glm\gtc\round.inl" />
    <None Include="src\vendor\glm\gtc\type_precision.inl" />
    <None Include="src\vendor\glm\gtc\type_ptr.inl" />
    <None Include="src\vendor\glm\gtc\ulp.inl" />
    <None Include="src\vendor\glm\gtx\associated_min_max.inl" />
    <None Include="src\vendor\glm\gtx\bit.inl" />
    <None Include="src\vendor\glm\gtx\closest_point.inl" />
    <None Include="src\vendor\glm\gtx\color_encoding.inl" />
    <None Include="src\vendor\glm\gtx\color_space.inl" />
    <None Include="src\vendor\glm\gtx\color_space_YCoCg.inl" />
    <None Include="src\vendor\glm\gtx\common.inl" />
    <None Include="src\vendor\glm\gtx\compatibility.inl" />
    <None Include="src\vendor\glm\gtx\component_wise.inl" />
    <None Include="src\vendor\glm\gtx\dual_quaternion.inl" />
    <None Include="src\vendor\glm\gtx\easing.inl" />
    <None Include="src\vendor\glm\gtx\euler_angles.inl" />
    <None Include="src\vendor\glm\gtx\extend.inl" />
    <None Include="src\vendor\glm\gtx\extended_min_max.inl" />
    <None Include="src\vendor\glm\gtx\exterior_product.inl" />
    <None Include="src\vendor\glm\gtx\fast_exponential.inl" />
    <None Include="src\vendor\glm\gtx\fast_square_root.inl" />
    <None Include="src\vendor\glm\gtx\fast_trigonometry.inl" />
    <None Include="src\vendor\glm\gtx\float_notmalize.inl" />
    <None Include="src\vendor\glm\gtx\functions.inl" />
    <None Include="src\vendor\glm\gtx\gradient_paint.inl" />
    <None Include="src\vendor\glm\gtx\handed_coordinate_space.inl" />
    <None Include="src\vendor\glm\gtx\hash.inl" />
    <None Include="src\vendor\glm\gtx\integer.inl" />
    <None Include="src\vendor\glm\gtx\intersect.inl" />
    <None Include="src\vendor\glm\gtx\io.inl" />
    <None Include="src\vendor\glm\gtx\log_base.inl" />
    <None Include="src\vendor\glm\gtx\matrix_cross_product.inl" />
    <None Include="src\vendor\glm\gtx\matrix_decompose.inl" />
    <None Include="src\vendor\glm\gtx\matrix_factorisation.inl" />
    <None Include="src\vendor\glm\gtx\matrix_interpolation.inl" />
    <None Include="src\vendor\glm\gtx\matrix_major_storage.inl" />
    <None Include="src\vendor\glm\gtx\matrix_operation.inl" />
    <None Include="src\vendor\glm\gtx\matrix_query.inl" />
    <None Include="src\vendor\glm\gtx\matrix_transform_2d.inl" />
    <None Include="src\vendor\glm\gtx\mixed_product.inl" />
    <None Include="src\vendor\glm\gtx\norm.inl" />
    <None Include="src\vendor\glm\gtx\normal.inl" />
    <None Include="src\vendor\glm\gtx\normalize_dot.inl" />
    <None Include="src\vendor\glm\gtx\number_precision.inl" />
    <None Include="src\vendor\glm\gtx\optimum_pow.inl" />
    <None Include="src\vendor\glm\gtx\orthonormalize.inl" />
    <None Include="src\vendor\glm\gtx\perpendicular.inl" />
    <None Include="src\vendor\glm\gtx\polar_coordinates.inl" />
    <None Include="src\vendor\glm\gtx\projection.inl" />
    <None Include="src\vendor\glm\gtx\quaternion.inl" />
    <None Include="src\vendor\glm\gtx\raw_data.inl" />
    <None Include="src\vendor\glm\gtx\rotate_normalized_axis.inl" />
    <None Include="src\vendor\glm\gtx\rotate_vector.inl" />
    <None Include="src\vendor\glm\gtx\scalar_relational.inl" />
    <None Include="src\vendor\glm\gtx\spline.inl" />
    <None Include="src\vendor\glm\gtx\std_based_type.inl" />
    <None Include="src\vendor\glm\gtx\string_cast.inl" />
    <None Include="src\vendor\glm\gtx\texture.inl" />
    <None Include="src\vendor\glm\gtx\transform.inl" />
    <None Include="src\vendor\glm\gtx\transform2.inl" />
    <None Include="src\vendor\glm\gtx\type_aligned.inl" />
    <None Include="src\vendor\glm\gtx\type_trait.inl" />
    <None Include="src\vendor\glm\gtx\vector_angle.inl" />
    <None Include="src\vendor\glm\gtx\vector_query.inl" />
    <None Include="src\vendor\glm\gtx\wrap.inl" />
  </ItemGroup>
  <ItemGroup>
    <Text Include="src\vendor\glm\CMakeLists.txt" />
  </ItemGroup>
  <Import Project="$(VCTargetsPath)\Microsoft.Cpp.targets" />
  <ImportGroup Label="ExtensionTargets">
  </ImportGroup>
</Project>